<?php
/* Padrão */
require_once __DIR__ . '/../../config/configs.php';
default_headers();
$data = file_get_contents("php://input");
$data = json_decode($data);

/* Lendo dados recebidos */
$token = $data->token;
$dados = $data->dados;
$tipo = $dados->tipo;

/* Objeto resposta */
$resposta = new stdClass();
$resposta->dados = new stdClass();
$resposta->msg = '';
$resposta->code = '';

/*verificando o token */
$token = jwt_check($token);
if($token == null){
   $resposta->code = INVALID_TOKEN_CODE;
   echo json_encode($resposta);
   exit;
}

/* Logica */
$matricula = $dados->matricula;
$retorno_db = dados_aluno($matricula);

if($retorno_db != null){
    $meses = array();
    $meses [1] = array(
        "titulo" => "Janeiro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [2] = array(
        "titulo" => "Fevereiro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [3] = array(
        "titulo" => "Março",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    
    $meses [4] = array(
        "titulo" => "Abril",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [5] = array(
        "titulo" => "Maio",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    
    $meses [6] = array(
        "titulo" => "Junho",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [7] = array(
        "titulo" => "Julho",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [8] = array(
        "titulo" => "Agosto",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [9] = array(
        "titulo" => "Setembro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [10] = array(
        "titulo" => "Outubro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [11] = array(
        "titulo" => "Novembro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    $meses [12] = array(
        "titulo" => "Dezembro",
        "aberto" => false,
        "conteudo" => array(),
        "total" => 0
    );
    
    
    
     $frequenciaDados = frequencia($matricula,$tipo);  
     
     foreach ($frequenciaDados  as $conteudo ){
//          $conteudo['mes'] -= 1;
          if($tipo == 3){
             $meses[ $conteudo['mes']]['total'] += $conteudo['tempo_frequencia'];
         }else if( $tipo == 1){
            $meses[ $conteudo['mes']]['total'] += $conteudo['soma_diferenca'];
             
         }
         $meses[ $conteudo['mes'] ]['conteudo'][] = $conteudo;
     }
    
     $resposta->dados = array_values($meses);
    $resposta->code = SUCCESS_CODE;
} else {
    $resposta->code = FAIL_CODE;
    $resposta->msg = '';
}

/* Enviando resposta */
echo json_encode($resposta);