<?php
/* Padrão */
require_once __DIR__ . '/../../config/configs.php';
default_headers();
$data = file_get_contents("php://input");
$data = json_decode($data);

/* Lendo dados recebidos */
$token = $data->token;
$dados = $data->dados;
$tipo = $dados->tipo;
$mes = $dados->mes;

/* Objeto resposta */
$resposta = new stdClass();
$resposta->dados = new stdClass();
$resposta->msg = '';
$resposta->code = '';

/*verificando o token */
$token = jwt_check($token);
if($token == null){
   $resposta->code = INVALID_TOKEN_CODE;
   echo json_encode($resposta);
   exit;
}

/* Logica */
$matricula = $dados->matricula;
$retorno_db = dados_aluno($matricula);

if($retorno_db != null){
    $meses = array();
    $meses [1] = array(
        "titulo" => "AÇÕES/ACESSO",
        "aberto" => true,
        "conteudo" => array(),
        "total" => 0
    );
   
     $frequenciaDados = frequenciaTotal($matricula);  
     
     foreach ($frequenciaDados  as $conteudo ){
         $conteudo['mes'] -= 1;
         $meses[1]['total'] += $conteudo['soma_diferenca'];
         $meses[1]['conteudo'][] = $conteudo;
     }
    
    $resposta->dados = array_values($meses);
    $resposta->code = SUCCESS_CODE;
} else {
    $resposta->code = FAIL_CODE;
    $resposta->msg = '';
}

/* Enviando resposta */
echo json_encode($resposta);