<?php
/* Padrão */
require_once __DIR__ . '/../../config/configs.php';
default_headers();
$data = file_get_contents("php://input");
$data = json_decode($data);

/* Lendo dados recebidos */
$token = $data->token;
$dados = $data->dados;
$tipo = $dados->tipo;

/* Objeto resposta */
$resposta = new stdClass();
$resposta->dados = new stdClass();
$resposta->msg = '';
$resposta->code = '';

/*verificando o token */
$token = jwt_check($token);
if($token == null){
   $resposta->code = INVALID_TOKEN_CODE;
   echo json_encode($resposta);
   exit;
}

/* Logica */
$matricula = $dados->matricula;
$retorno_db = dados_aluno($matricula);

if($retorno_db != null){
    $resp = array();
    $materias = materias_por_curso($retorno_db['id_curso']);  
    foreach($materias as $materia){
        $objJson = new stdClass();
        $objJson->idMateria = $materia['id_materia'];
        $objJson->nomeMateria = $materia['descricao'];
        $objJson->abreMateria = false;
        $objJson->abreForm = false;
        $perguntas = perguntas_por_matricula($retorno_db['id_curso'], $materia['id_materia'],$retorno_db['matricula']); 
        $objJson->conteudo = $perguntas;
        $resp[] = $objJson;
    }
    
    $resposta->dados = $resp;
    $resposta->code = SUCCESS_CODE;
} else {
    $resposta->code = FAIL_CODE;
    $resposta->msg = '';
}

/* Enviando resposta */
echo json_encode($resposta);