<?php
/* Padrão */
require_once __DIR__ . '/../../config/configs.php';
default_headers();
$data = file_get_contents("php://input");
$data = json_decode($data);

/* Lendo dados recebidos */
$token = $data->token;
$dados = $data->dados;
$tipo = $dados->tipo;

/* Objeto resposta */
$resposta = new stdClass();
$resposta->dados = new stdClass();
$resposta->msg = '';
$resposta->code = '';

/*verificando o token */
$token = jwt_check($token);
if($token == null){
   $resposta->code = INVALID_TOKEN_CODE;
   echo json_encode($resposta);
   exit;
}


/* Logica */
$matricula = $dados->matricula;
$retorno_db = dados_aluno($matricula);
$tipo = $dados->tipo;
$materia =  $dados->materia;
if($retorno_db != null){
    $chartData = array();
    $total_conteudo_curso_tri1 = getTotalConteudoCurso($retorno_db ['id_curso'], $tipo, $materia,'1')[0]['total'];
    $total_conteudo_curso_tri2 = getTotalConteudoCurso($retorno_db ['id_curso'], $tipo, $materia,'2')[0]['total'];
    $total_conteudo_curso_tri3 = getTotalConteudoCurso($retorno_db ['id_curso'], $tipo, $materia,'3')[0]['total'];
    
    
    $total_alunos_curso = getTotalAlunosCurso($retorno_db ['id_curso'])[0]['total'];
    $chartData['aluno'] =  [ 
        number_format((getTotalConteudoAssistidoGrafico($matricula, $tipo, $materia, '1')[0]['total'] / $total_conteudo_curso_tri1) * 100, 2),
        number_format((getTotalConteudoAssistidoGrafico($matricula, $tipo, $materia, '2')[0]['total'] / $total_conteudo_curso_tri2) * 100, 2),
        number_format((getTotalConteudoAssistidoGrafico($matricula,$tipo, $materia, '3')[0]['total'] /$total_conteudo_curso_tri3) * 100, 2)
    ];
    
    //var_dump(getTotalConteudoAssistidoGrafico($matricula, $tipo, $materia, '1'));
    
    $chartData['serie'] =  [
        number_format((getTotalConteudoAssistidoCurso($retorno_db ['id_curso'], $tipo, $materia, '1')[0]['total'] /($total_conteudo_curso_tri1*$total_alunos_curso))  * 100, 2),
        number_format((getTotalConteudoAssistidoCurso($retorno_db ['id_curso'], $tipo, $materia, '2')[0]['total'] /($total_conteudo_curso_tri2*$total_alunos_curso))  * 100, 2),
        number_format((getTotalConteudoAssistidoCurso($retorno_db ['id_curso'], $tipo, $materia, '3')[0]['total'] /($total_conteudo_curso_tri3*$total_alunos_curso))  * 100, 2)

        
    ];
    $resp = $chartData;
    $resposta->dados = $resp;
    $resposta->code = SUCCESS_CODE;
} else {
    $resposta->code = FAIL_CODE;
    $resposta->msg = '';
}

/* Enviando resposta */
echo json_encode($resposta);